import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/get?${stringify(params)}`);
}


export async function insertForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForProUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousertags/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
